Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Deprecation warning when importing numpy 1.8.1 in sklearn/utils/extmath.py:527 #3398

Closed
ogrisel opened this Issue Jul 16, 2014 · 4 comments

Comments

Projects
None yet
5 participants
Owner

ogrisel commented Jul 16, 2014

When running examples/ensemble/plot_partial_dependence.py:

/Users/ogrisel/code/scikit-learn/sklearn/utils/extmath.py:527: DeprecationWarning: using a non-integer number instead of an integer will result in an error in the future
  out[j * m:(j + 1) * m, 1:] = out[0:m, 1:]

@ogrisel ogrisel added the Easy label Jul 16, 2014

Owner

amueller commented Jul 16, 2014

I think there are still a couple of those, we should get rid of them for 0.15.1

Owner

jnothman commented Jul 16, 2014

m is the result of a division, which may have been integer in Python 2...

Member

lesteve commented Jul 19, 2014

Probably worth closing now that #3433 has been merged.

Owner

GaelVaroquaux commented Jul 19, 2014

Closing

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment